<?php

namespace App\Providers;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\ServiceProvider;
use Laravel\Passport\Passport;

class AppServiceProvider extends ServiceProvider
{
	/**
	 * Register any application services.
	 *
	 * @return void
	 */
	public function register()
	{
		Passport::ignoreMigrations();
	}

	/**
	 * Bootstrap any application services.
	 *
	 * @return void
	 */
	public function boot()
	{
		// When a query should return 1 object, or FAIL if it doesnt
		Builder::macro('singleOrFail',function () {
			$result = $this->get();

			if (($x=$result->count()) == 1) {
				return $result->first();
			}

			throw new \Exception(sprintf('Query brings back %d record(s) called for singleOrFail()',$x));
		});

		// When a query should return 1 object, or NULL if it doesnt
		Builder::macro('single',function () {
			$result = $this->get();

			if ($result->count() == 1) {
				return $result->first();
			}

			return NULL;
		});
	}
}
