<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class InitialSetupSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
		DB::table('protocols')->insert([
			'name'=>'BINKP',
			'port'=>24554,
			'active'=>TRUE,
		]);
		DB::table('protocols')->insert([
			'name'=>'EMSI',
			'port'=>60179,
			'active'=>TRUE,
		]);
		DB::table('software')->insert([
			'name'=>'Custom',
			'active'=>TRUE,
		]);

		DB::table('domains')->insert([
			'name'=>'private',
			'default'=>TRUE,
			'active'=>TRUE,
		]);

		DB::table('zones')->insert([
			'zone_id'=>'10',
			'domain_id'=>1,
			'public'=>TRUE,
			'active'=>TRUE,
			'name'=>'private',
			'description'=>'PrivateNet: Internal Testing Network'
		]);

		DB::table('nodes')->insert([
			'zone_id'=>'1',
			'host_id'=>'999',
			'node_id'=>'2',
			'is_host'=>TRUE,
			'active'=>TRUE,
			'system'=>'FTN Clearing House Dev',
			'sysop'=>'Deon George',
			'location'=>'Parkdale, AUS',
			'email'=>'deon@leenooks.net',
			'address'=>'10.1.3.165',
			'port'=>24554,
			'protocol_id'=>1,
			'software_id'=>1,
		]);

		DB::table('nodes')->insert([
			'zone_id'=>'1',
			'host_id'=>'999',
			'node_id'=>'1',
			'is_host'=>TRUE,
			'active'=>TRUE,
			'system'=>'Alterant MailHUB DEV',
			'sysop'=>'Deon George',
			'location'=>'Parkdale, AUS',
			'email'=>'deon@leenooks.net',
			'address'=>'d-1-4.ipv4.leenooks.vpn',
			'port'=>14554,
			'sespass'=>'PASSWORD',
			'protocol_id'=>1,
			'software_id'=>1,
		]);

		DB::table('setups')->insert([
			'opt_md'=>'1',
		]);

		DB::table('node_setup')->insert([
			'node_id'=>'1',
			'setup_id'=>'1',
		]);

		DB::table('users')->insert([
			'name'=>'Deon George',
			'email'=>'deon@leenooks.net',
			'password'=>'$2y$10$bJQDLfxnKrh6o5Sa02MZOukXcLTNQiByXSTJ7fTr.kHMpV2wxbG6.',
		]);
	}
}
