@extends('layouts.app')

@section('htmlheader_title')
	@if($o->exists) Update @else Add @endif Node
@endsection

@section('main-content')
	<div class="pb-3">
		<h2>@if($o->exists) Update @else Add @endif Node</h2>
		<form method="POST">
			{{ csrf_field() }}

			<div class="row">
				<div class="col-3">
					<div class="bg-blue">
						<div class="row m-3">
							<label class="col-3" for="zone_id">Zone</label>
							<select class="col-9" name="zone_id">
								<option value="">&nbsp;</option>
								@foreach (\App\Models\Zone::cursor() as $oo)
									<option value="{{ $oo->id }}" @if($o->zone_id==$oo->id)selected @endif>{{ $oo->zone_id }} ({{ $oo->name }})</option>
								@endforeach
							</select>
						</div>

						<div class="row m-3">
							<label class="col-3" for="host_id">Hub</label>
							<select class="col-9" name="hub_id">
								<option value="{{ $o->hub_id }}" disabled>{{ $o->hub_id }} ({{ $o->system }})</option>
							</select>
						</div>

						<div class="row m-3">
							<label class="col-3" for="host_id">Host</label>
							<select class="col-9" name="host_id">
								<option value="{{ $o->host_id }}" selected>{{ $o->host_id }} ({{ $o->system }})</option>
							</select>
						</div>

						<div class="row m-3">
							<label class="col-3" for="node_id">Node</label>
							<input class="col-9" type="text" name="node_id" value="{{ $o->node_id }}">
						</div>

						<div class="row m-3">
							<label class="col-3" for="point_id">Point</label>
							<input class="col-9" type="text" name="point_id" value="{{ $o->point_id ?: 0 }}">
						</div>

						<hr>

						<div class="row m-3">
							<label class="col-4" for="is_rc">Is ZC</label>
							<input class="col-3" type="checkbox" name="is_rc" value="1" @if($o->is_rc)checked @endif>
						</div>
						<div class="row m-3">
							<label class="col-4" for="is_rc">Is RC</label>
							<input class="col-3" type="checkbox" name="is_rc" value="1" @if($o->is_regis_rcion)checked @endif>
						</div>
						<div class="row m-3">
							<label class="col-4" for="is_hub">Is Hub</label>
							<input class="col-3" type="checkbox" name="is_hub" value="1" @if($o->is_hub)checked @endif>
						</div>
						<div class="row m-3">
							<label class="col-4" for="is_host">Is Host</label>
							<input class="col-3" type="checkbox" name="is_host" value="1" @if($o->is_host)checked @endif>
						</div>

						<div class="row m-3">
							<label class="col-4" for="active">Active</label>
							<input class="col-3" type="checkbox" name="active" value="1" @if($o->active)checked @endif>
						</div>
					</div>
				</div>

				<div class="col-9">
					<div class="bg-blue">
						<div class="row m-3">
							<label class="col-3" for="system">BBS Name:</label>
							<input class="col-9" type="text" name="system" value="{{ $o->system }}">
						</div>

						<div class="row m-3">
							<label class="col-3" for="sysop">SYSOP Name:</label>
							<input class="col-9" type="text" name="sysop" value="{{ $o->sysop }}">
						</div>

						<div class="row m-3">
							<label class="col-3" for="email">Email Address:</label>
							<input class="col-9" type="email" name="email" value="{{ $o->email }}">
						</div>

						<div class="row m-3">
							<label class="col-3" for="location">System Location:</label>
							<input class="col-9" type="text" name="location" value="{{ $o->location }}">
						</div>

						<div class="row m-3">
							<label class="col-2" for="protocol_id">Connection Method:</label>

							<div class="form-group col-2">
								@foreach (\App\Models\Protocol::cursor() as $oo)
									<div class="custom-control custom-radio mb-3">
										<input type="radio" class="custom-control-input" name="protocol_id" id="{{ $oo->id }}" value="{{ $oo->id }}" required @if($o->protocol_id==$oo->id)checked @endif>
										<label class="custom-control-label" for="{{ $oo->id }}">{{ $oo->name }}</label>
									</div>
								@endforeach
							</div>

							<div class="col-8">
								<div class="row m-3">
									<label class="col-4" for="address">Mailer Address:</label>
									<input class="col-8" type="text" name="address" value="{{ $o->address }}">
								</div>

								<div class="row m-3">
									<label class="col-4" for="port">Mailer Port:</label>
									<input class="col-4" type="text" name="port" value="{{ $o->port }}">
								</div>

								<div class="row m-3">
									<label class="col-4" for="software_id">Mailer Software:</label>
									<select class="col-8" name="software_id">
										<option value="">&nbsp;</option>
										@foreach (\App\Models\Software::cursor() as $oo)
											<option value="{{ $oo->id }}" @if($o->protocol_id==$oo->id)selected @endif>{{ $oo->name }}</option>
										@endforeach
									</select>
								</div>

								<div class="row m-3">
									<label class="col-4" for="sespass">Session Password:</label>
									<input class="col-4" type="text" name="sespass" value="{{ $o->sespass }}">
								</div>
								<div class="row m-3">
									<label class="col-4" for="pktpass">Packet Password:</label>
									<input class="col-4" type="text" name="pktpass" value="{{ $o->pktpass }}">
								</div>
								<div class="row m-3">
									<label class="col-4" for="ticpass">TIC Password:</label>
									<input class="col-4" type="text" name="ticpass" value="{{ $o->ticpass }}">
								</div>
								<div class="row m-3">
									<label class="col-4" for="fixpass">Areafix Password:</label>
									<input class="col-4" type="text" name="fixpass" value="{{ $o->fixpass }}">
								</div>
							</div>
						</div>

						<div class="row m-3">
							<label class="col-3" for="notes">Notes:</label>
							<textarea class="col-9" rows=3 cols=68 name="notes" placeholder="Notes...">{{ $o->notes }}</textarea>
						</div>

						<div class="row m-3">
							<div class="col-12">
								<button type="submit" name="submit" class="btn btn-lg btn-success mr-0 float-right">@if ($o->exists)Save @else Add @endif</button>
								<a href="{{ url('/') }}" class="btn btn-lg btn-primary float-right">Cancel</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
@endsection
